mdb_cursor(3)

NAME
mdb_cursor - Cursor Flags

SYNOPSIS

  Macros

#define C_INITIALIZED 0x01
#define C_EOF 0x02
#define C_SUB 0x04
#define C_DEL 0x08
#define C_UNTRACK 0x40

Detailed Description

Cursor state flags.

Macro Definition Documentation

  #define C_INITIALIZED 0x01
cursor has been initialized and is valid

  #define C_EOF 0x02
No more data

  #define C_SUB 0x04
Cursor is a sub-cursor

  #define C_DEL 0x08
last op was a cursor_del

  #define C_UNTRACK 0x40
Un-track cursor when closing

Author

Generated automatically by Doxygen for LMDB from the source code.